From 69b7fc5055ed70e67f5c47327c68098c5b786c95 Mon Sep 17 00:00:00 2001
From: Juan RP <xtraeme@gmail.com>
Date: Fri, 7 Jun 2019 17:59:07 +0200
Subject: [PATCH] ccache: add clang symlinks.

This way we could build chromium with ccache.

Signed-off-by: Juan RP <xtraeme@gmail.com>
---
 srcpkgs/ccache/template | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/ccache/template b/srcpkgs/ccache/template
index f16145fd54b..5447ae18f37 100644
--- a/srcpkgs/ccache/template
+++ b/srcpkgs/ccache/template
@@ -1,7 +1,7 @@
 # Template file for 'ccache'
 pkgname=ccache
 version=3.7.1
-revision=1
+revision=2
 bootstrap=yes
 build_style=gnu-configure
 make_check_args="CC=gcc"
@@ -16,6 +16,11 @@ distfiles="https://github.com/ccache/ccache/releases/download/v${version}/${pkgn
 checksum=66fc121a2a33968f9ec428e02f48ff4b8896fbabb759e9c09352267014dcbe65
 
 post_install() {
+	# clang
+	for f in clang clang++; do
+		ln -sfr ${DESTDIR}/usr/bin/ccache ${DESTDIR}/usr/lib/ccache/bin/${f}
+	done
+	# gcc
 	vmkdir usr/lib/ccache/bin
 	for f in gcc cc c++ g++; do
 		ln -sfr ${DESTDIR}/usr/bin/ccache ${DESTDIR}/usr/lib/ccache/bin/${f}
